drama.shaders = {};
drama.shaders["blacknwhite"] = {
	src: "varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform lowp float threshold;\n\nvoid main(void)\n{	lowp vec4 front = texture2D(samplerFront, vTex);	lowp float gray = front.r * 0.299 + front.g * 0.587 + front.b * 0.114;	if (gray < threshold)\n		gl_FragColor = vec4(0.0, 0.0, 0.0, front.a);\n	else\n		gl_FragColor = vec4(front.a, front.a, front.a, front.a);\n}\n",
	extendBoxHorizontal: 0,
	extendBoxVertical: 0,
	crossSampling: false,
	preservesOpaqueness: true,
	animated: false,
	parameters: [["threshold",0,1]]
};

drama.shaders["sharpen"] = {
	src: "varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform mediump vec2 pixelSize;\nuniform lowp float intensity;\n\nvoid main(void)\n{\n	mediump float centerMultiplier = 1.0 + 4.0 * intensity;\n	\n	mediump vec4 front = texture2D(samplerFront, vTex);\n	mediump vec3 textureColor = front.rgb;\n	mediump vec3 leftTextureColor = texture2D(samplerFront, vTex - vec2(pixelSize.x, 0.0)).rgb;\n	mediump vec3 rightTextureColor = texture2D(samplerFront, vTex + vec2(pixelSize.x, 0.0)).rgb;\n	mediump vec3 topTextureColor = texture2D(samplerFront, vTex - vec2(0.0, pixelSize.y)).rgb;\n	mediump vec3 bottomTextureColor = texture2D(samplerFront, vTex + vec2(0.0, pixelSize.y)).rgb;\n\n	gl_FragColor = vec4((textureColor * centerMultiplier - (leftTextureColor * intensity + rightTextureColor * intensity + topTextureColor * intensity + bottomTextureColor * intensity)), front.a);\n}\n",
	extendBoxHorizontal: 0,
	extendBoxVertical: 0,
	crossSampling: false,
	preservesOpaqueness: true,
	animated: false,
	parameters: [["intensity",0,1]]
};
